package model

type Block struct {
	CreatedAt uint64
	No        int64
	TxCnt     int
	UncleCnt  int
	Miner     string
	GasUsed   uint64
	GasLimit  uint64
	BaseFee   uint64
	Reward    float64
}

type Tx struct {
	CreatedAt   uint64
	BlockNumber string
	Hash        string
	From        string
	To          string
	Type        string
	Value       string
	Gas         string
	GasPrice    string
	Input       string
}

type Call struct {
	From  string
	To    string
	Type  string
	Value string
}
